=head1 NAME

Gtk2::Table - wrapper for GtkTable

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Table



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::Table-E<gt>B<new> ($rows, $columns, $homogeneous=FALSE)

=over

=item * $rows (integer) 

=item * $columns (integer) 

=item * $homogeneous (boolean) 

=back

=head2 $table-E<gt>B<attach> ($child, $left_attach, $right_attach, $top_attach, $bottom_attach, $xoptions, $yoptions, $xpadding, $ypadding)

=over

=item * $child (Gtk2::Widget) 

=item * $left_attach (integer) 

=item * $right_attach (integer) 

=item * $top_attach (integer) 

=item * $bottom_attach (integer) 

=item * $xoptions (Gtk2::AttachOptions) 

=item * $yoptions (Gtk2::AttachOptions) 

=item * $xpadding (integer) 

=item * $ypadding (integer) 

=back

=head2 $table-E<gt>B<attach_defaults> ($widget, $left_attach, $right_attach, $top_attach, $bottom_attach)

=over

=item * $widget (Gtk2::Widget) 

=item * $left_attach (integer) 

=item * $right_attach (integer) 

=item * $top_attach (integer) 

=item * $bottom_attach (integer) 

=back

=head2 integer = $table-E<gt>B<get_col_spacing> ($column)

=over

=item * $column (integer) 

=back

=head2 $table-E<gt>B<set_col_spacing> ($column, $spacing)

=over

=item * $column (integer) 

=item * $spacing (integer) 

=back

=head2 $table-E<gt>B<set_col_spacings> ($spacing)

=over

=item * $spacing (integer) 

=back

=head2 integer = $table-E<gt>B<get_default_col_spacing> 

=head2 integer = $table-E<gt>B<get_default_row_spacing> 

=head2 boolean = $table-E<gt>B<get_homogeneous> 

=head2 $table-E<gt>B<set_homogeneous> ($homogeneous)

=over

=item * $homogeneous (boolean) 

=back

=head2 $table-E<gt>B<resize> ($rows, $columns)

=over

=item * $rows (integer) 

=item * $columns (integer) 

=back

=head2 integer = $table-E<gt>B<get_row_spacing> ($row)

=over

=item * $row (integer) 

=back

=head2 $table-E<gt>B<set_row_spacing> ($row, $spacing)

=over

=item * $row (integer) 

=item * $spacing (integer) 

=back

=head2 $table-E<gt>B<set_row_spacings> ($spacing)

=over

=item * $spacing (integer) 

=back

=head2 (rows, columns) = $table-E<gt>B<get_size> 

Since: gtk+ 2.22



=cut


=head1 PROPERTIES

=over

=item 'column-spacing' (Glib::UInt : default 0 : readable / writable / private)

The amount of space between two consecutive columns

=item 'homogeneous' (boolean : default false : readable / writable / private)

If TRUE, the table cells are all the same width/height

=item 'n-columns' (Glib::UInt : default 1 : readable / writable / private)

The number of columns in the table

=item 'n-rows' (Glib::UInt : default 1 : readable / writable / private)

The number of rows in the table

=item 'row-spacing' (Glib::UInt : default 0 : readable / writable / private)

The amount of space between two consecutive rows

=back



=cut


=head1 CHILD PROPERTIES

=over

=item 'bottom-attach' (Glib::UInt : default 1 : readable / writable / private)

The row number to attach the bottom of the child to

=item 'left-attach' (Glib::UInt : default 0 : readable / writable / private)

The column number to attach the left side of the child to

=item 'right-attach' (Glib::UInt : default 1 : readable / writable / private)

The column number to attach the right side of a child widget to

=item 'top-attach' (Glib::UInt : default 0 : readable / writable / private)

The row number to attach the top of a child widget to

=item 'x-options' (Gtk2::AttachOptions : default expand,fill : readable / writable / private)

Options specifying the horizontal behaviour of the child

=item 'x-padding' (Glib::UInt : default 0 : readable / writable / private)

Extra space to put between the child and its left and right neighbors, in pixels

=item 'y-options' (Gtk2::AttachOptions : default expand,fill : readable / writable / private)

Options specifying the vertical behaviour of the child

=item 'y-padding' (Glib::UInt : default 0 : readable / writable / private)

Extra space to put between the child and its upper and lower neighbors, in pixels

=back



=cut


=head1 ENUMS AND FLAGS

=head2 flags Gtk2::AttachOptions

=over

=item * 'expand' / 'GTK_EXPAND'

=item * 'shrink' / 'GTK_SHRINK'

=item * 'fill' / 'GTK_FILL'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

